Bug 1281683 - Timestamps are shown incorrectly in show_bug.cgi after adding an attachment
Timestamps are shown incorrectly in show_bug.cgi after adding an attachment
Status: NEW
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 01:48 EST by Jason McDonald
Modified: 2018-03-17 04:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-11-13 01:48:08 EST
Description of problem:
After adding an attachment to a bug, the following problems occur:

* The timestamp on the last comment is missing the seconds field.
* The Modified time of the bug is missing the minutes field (seconds aren't shown in that field, e.g. it is displayed as "2015-11-13 16 EST" instead of "2015-11-13 16:12 EST".

Version-Release number of selected component (if applicable):
4.4.10042

How reproducible:
100%

Steps to Reproduce:
1. When viewing a bug, click "Add an attachment"
2. Enter the attachment content and a description, then click Submit.

Actual results:
The Modified field is missing minutes.
The Comment timestamp is missing seconds.

Expected results:
All timestamps complete and in correct timezone.

Additional info:
After making further changes to the bug that don't involve attachments (e.g. adding another comment), the comment related to the attachment is still missing the seconds field. The Modified time is shown correctly if the change didn't involve adding an attachment.

When creating an attachment, Bugzilla adds a couple of extra lines to the start of the comment.  Perhaps that code is somehow related to this bug.

The bug does not appear to be related to the user's timezone, I tried using both Australia/Brisbane and the site default.
Comment 1 Jeff Fearn 2018-03-16 00:25:50 EDT
Is this still a problem in BZ5?
Comment 2 Jason McDonald 2018-03-17 04:15:43 EDT
I can reproduce the bug as described on Bugzilla 4.4.

In our BZ5, I can only reproduce the first problem (seconds missing from last comment's timestamp) and the second problem does not occur.

In Landfill BZ5, I cannot reproduce either problem.

Note You need to log in before you can comment on or make changes to this bug.